binaryalrbreaker.cpp File Reference
`#include <boost/sort/spreadsort/spreadsort.hpp>`
`#include <time.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <algorithm>`
`#include <vector>`
`#include <string>`
`#include <fstream>`
`#include <sstream>`
`#include <iostream>`

## Macros

#define | DATA_TYPE boost::uint64_t
#define | ALR_THRESHOLD 3

## Functions

void | fill_vector (vector< DATA_TYPE > &input, const DATA_TYPE base_value, unsigned remaining_bits, const vector< unsigned > &indices, int index)
unsigned | get_index (unsigned count)
int | main (int, const char **)

## Variables

const unsigned | max_count = ALR_THRESHOLD - 1
const unsigned | bit_shift
const unsigned | radix_threshold = detail::rough_log_2_size(max_count) + 1
const DATA_TYPE | typed_one = 1

## Macro Definition Documentation

#define ALR_THRESHOLD 3

#define DATA_TYPE boost::uint64_t

## Function Documentation

void fill_vector | ( | vector< DATA_TYPE > & | input,
|  | const DATA_TYPE | base_value,
|  | unsigned | remaining_bits,
|  | const vector< unsigned > & | indices,
|  | int | index
| ) |  |

unsigned get_index | ( | unsigned | count | ) |

int main | ( | int | ,
|  | const char ** |
| ) |  |

## Variable Documentation

const unsigned bit_shift

Initial value:
= detail::rough_log_2_size(max_count) -
detail::int_log_mean_bin_size
max_count
const unsigned max_count
Definition: binaryalrbreaker.cpp:28

const unsigned max_count = ALR_THRESHOLD - 1

const unsigned radix_threshold = detail::rough_log_2_size(max_count) + 1

const DATA_TYPE typed_one = 1